# Get a list of services

Returns a list of all services for the specified location

Endpoint: GET /services/{location_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

## Query parameters:

  - `team_member_id` (number)
    Team Member ID, if you want to filter by Team Member

  - `category_id` (number)
    Category ID, if you want to filter by category

  - `is_multi` (number)
    Filter by the Event flag: 1 - only Services available for Events, 0 - only Services that are not. Omit it to return both.

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of services

  - `data.id` (number)
    Service ID

  - `data.salon_service_id` (number)
    Service ID for a location on the chain

  - `data.title` (string)
    Service name

  - `data.booking_title` (string)
    Service name for booking

  - `data.category_id` (number)
    Identifier of the category in which the service consists

  - `data.price_min` (number)
    Minimum price for the service

  - `data.price_max` (number)
    Maximum price for the service

  - `data.duration` (number)
    Service duration in seconds, default is 3600

  - `data.technical_break_duration` (any)
    Technical break duration in seconds.
- null = use location default
- Value in multiples of 300 (5-minute intervals)

  - `data.discount` (number)
    Discount percentage

  - `data.comment` (string)
    Comment on the service

  - `data.weight` (number)
    Service weight (used to sort categories when displayed)

  - `data.active` (number)
    1 - available for online booking, 0 - not available

  - `data.api_id` (string)
    External Service ID

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

